#ifndef _VIDEO_INCLUDED_
#define _VIDEO_INCLUDED_     /* definujeme, ze je inkludovan video.h */
/*
 *  video.h
 *  ruzne fce pro praci s monitorem a textovym kurzorem
 *    
 *  funkce:
 *    textcolor()   - "alokuje" znaky v konzoli barvou 
 */

#include <global.h>

/******************************************************************************/
/****************************   DEFINICE TYPU   *******************************/
/******************************************************************************/

#define BLACK             0   /* dark colors */
#define BLUE              1
#define GREEN             2
#define CYAN              3
#define RED               4
#define MAGENTA           5
#define BROWN             6
#define LIGHTGRAY         7
#define DARKGRAY          8   /* light colors */
#define LIGHTBLUE         9
#define LIGHTGREEN        10
#define LIGHTCYAN         11
#define LIGHTRED          12
#define LIGHTMAGENTA      13
#define YELLOW            14
#define WHITE             15

/******************************************************************************/
/********************************   FUNKCE   **********************************/
/******************************************************************************/

/*
 *  textcolor()
 *  zmeni barvu pisma na <col>  
 */
void textcolor(char col) {
  TEXT_COL = col;
}

#endif
